package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

/**
 * POJO for PayPal Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class PayPalPayment {

    private long id;
    @NonNull private User user;
    @NonNull private String email;
    @NonNull private String authCode;
}