package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.time.LocalDateTime;


/**
 * POJO for Orders.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class Order {

    private long id;
    @NonNull private LocalDateTime date;
    @NonNull private Book book;

    /**
     * price in cents.
     */
    @NonNull private int price;
    @NonNull private PaymentType paymentType;
    @NonNull private Address address;
}